Bug 68008 - installer sets MS intellimouse to use "PS/2" as protocol, rather than "IMPS/2"
installer sets MS intellimouse to use "PS/2" as protocol, rather than "IMPS/2"
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-07-05 04:16 EDT by Jan Moren
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-11 07:14:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda kickstart file (3.56 KB, text/plain)
2002-07-05 04:18 EDT, Jan Moren
no flags Details

  None (edit)
Description Jan Moren 2002-07-05 04:16:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
Choosing MS intellimouse in the installer sets it to use "PS/2" as protocol in
XF86Config, rather than the correct "IMPS/2".

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Install
2. Choose 'MS intellimouse'

Actual Results:  The protocol field is set to "PS/2"

Expected Results:  It should be set to "IMPS/2"

Additional info:

I have seen this behavior since RH6.2 or so, and know that it still behaves like
this in 7.3 (though I have no log from that revision).
Comment 1 Jan Moren 2002-07-05 04:18:56 EDT
Created attachment 63744 [details]
anaconda kickstart file
Comment 2 Jeremy Katz 2002-07-10 23:13:00 EDT
I can't reproduce the problem here in my testing...  which file exactly is
getting the incorrect setting?
Comment 3 Torkar, Richard 2002-07-11 07:02:53 EDT
Hmm, he writes XF86Config so I presume that is the file we're talking about here...

Comment 4 Jan Moren 2002-07-11 07:14:41 EDT
Yes, it's XF86Config-4 I'm talking about.
Comment 5 Jeremy Katz 2002-07-18 00:52:48 EDT
I can't reproduce this at all here with any of 7.2, 7.3, or our current internal

Note You need to log in before you can comment on or make changes to this bug.